================================================================================
- Version: 2.3.0.1011
- Date Release: 12/17/2013
- Author: Thomas Chien
- Changes:

Firmware:
1. support new Chip Version C0b

================================================================================
- Version: 2.3.0.1010
- Date Release: 12/02/2013
- Author: Thomas Chien
- Changes:

Firmware:
1. add GD25Q40BSIG and W25X40CLSSIG in SPI flash support 

================================================================================
- Version: 2.3.0.1008
- Date Release: 11/27/2012
- Author: Nai-Chin Huang
- Changes:

Firmware:
1. Fix PIO trasfer mode value for SET FEATURE command when FW probes devices.
================================================================================
- Version: 2.3.0.1007
- Date Release: 09/20/2012
- Author: Nai-Chin Huang
- Changes:

Firmware:
1. Fix BT#4907. Support trim command on all ports of RAID1. 
2. Fix BT#5811, performance issue with Akupa.
3. BT#5838, add new SPI support. Model: mxic 25l4006.
================================================================================
- Version: 2.3.0.1006
- Date Release: 05/25/2012
- Author: Nai-Chin Huang
- Changes:

Firmware:
1. Fixed BT#5649(same as BT#5400). Port the fixes for BT#5400 from Magni Plus.
   Solution: Do not set PXCMD_HPCP and PXCMD_ESP when AHCI host resets/initializes software.    
================================================================================
- Version: 2.3.0.1005
- Date Release: 04/16/2012
- Author: Nai-Chin Huang
- Changes:

Firmware:
1. Fixed that the Phy tuning values were not set to the registers successfully. 
   Root Cause: The values were set outside the FOR loops.
   Solution: Do the settings for each port and each SATA GEN.
2. Do not set the 0xFFFF (MDU default value) to phy tuning registers.
================================================================================
- Version: 2.3.0.1004
- Date Release: 04/05/2012
- Author: Nai-Chin Huang
- Changes:

Firmware:
1. Fix the SPI page link for the new design
2. Synchronize the SPI page code definition with MDU
================================================================================
- Version: 2.3.0.1003
- Date Release: 04/03/2012
- Author: Nai-Chin Huang
- Changes:

Firmware:
1. Change the SPI page info design and add PHY info page for BT#5167. New design is 
   defined as SPI_PAGE_V1_1. The define is enabled.
2. Port the fixed event code for SPI event page handling refining from Magni Plus.
3. Fixed BT#5345. Port the fix from Magni Plus BT#5268

================================================================================
- Version: 2.3.0.1002
- Date Release: 02/23/2012
- Author: Nai-Chin Huang
- Changes:

Firmware:
1. Fixed BT#5400. Do not set bit PXCMD_HPCP for port 7 for console device.
2. Fixed BT#5321. Modify the remap SPI address. If it is 512K SPI, remap to 64000h. If it is 1M SPI, remap to E4000h.
3. Support new 1M SPI, mxic 25l8006.

Loader:
1. Fixed BT#5321. Modify the remap SPI address. If it is 512K SPI, remap to 64000h. If it is 1M SPI, remap to E4000h.
================================================================================
- Version: 2.3.0.1001
- Date Release: 02/09/2012
- Author: Nai-Chin Huang
- Changes:
1. Add B3 support

================================================================================
- Version: 2.2.0.1125
- Date Release: 10/31/2011
- Author: Nai-Chin Huang
- Changes:

Boot Lodaer:
1. Fix DID floating issue. Per Dishi's suggestion,
   - Read DID from 0xD0032000 instead of 0xD0030000.
   - Read CMODE from 0x80003800 BIT18:12 instead 0xD0071050.
2. Update loader version in firmware to 1.0.0.1001.

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1124
- Date Release: 09/05/2011
- Author: Nai-Chin Huang
- Changes:
1. Fix BT#9128. 
   Root cause: Firmware sets the incorrect phy rate when converting from HBA page info. 
   Solution: For default values 0 or 0xFF, set max allowed rate. For 1 or 2, set as 3G or 6G.

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1123
- Date Release: 08/09/2011
- Author: Nai-Chin Huang
- Changes:
1. Fix BT#4727, Si3726 PM is failed to plug in on MAC OS system.
2. Fix BT#4035. Set param[3]=1 for HyperDuo HDD when set LD state event.
3. Refer to Magni Plus' fix for BT#4785/rev.40024, change on Magni.
4. Support 2 PM. Currently, the feature, SUPPORT_2_PM, is disabled.

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1122
- Date Release: 06/17/2011
- Author: Nai-Chin Huang
- Changes:

- Issues Resolved:
1. Fixed the incorrect PHY speed settings in HBA PAGE INFO. According to HBA PAGE INFO spec, the PHY rate is defined as 0/1/2 for 1.5G/3G/6G. Conver the values to 1/2/3 in firmware handling and register settings.

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1121
- Date Release: 05/10/2010
- Author: Ricky Chou
- Changes:

- Issues Resolved:
1.Fixed hotplug issue on MAC OS
- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1120
- Date Release: 04/07/2010
- Author: Ricky Chou
- Changes:

- Issues Resolved:
Fixed Bug#4441 "[ECS, Magni 9128B1] SATA HDD can't be seen until hot-plug or rescan in OS when system has 2 Magni, one has SATA HDD and one has PATA HDD"
[Root cause]: There is an unexpected fis data and SATA device didn't interrupt firmware.
[Solution] Add timeout checking for HDD command.
- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1119
- Date Release: 03/07/2010
- Author: Ricky Chou
- Changes:

- Issues Resolved:
Loader:
1.  Fixed Bug#3126: Degraded RAID1 shows up as functional.
Firmware:
2.  Check and change the DID to 9130/91B0, if its did is 9124 with "chip mode" register value 0x7D. 

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1118
- Date Release: 01/13/2010
- Author: Ricky Chou
- Changes:

- Issues Resolved:
1.  Fixed Bug#4227 "[Gigabyte, HyperDuo-Safe] Replace HyperDuo SSD by Kingston SNV125 SSD to rebuild will cause system unstable."
[Root cause]: This SSD does not support 48bit, so the max count is 256 sectors for Read/Write DMA.

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1117
- Date Release: 12/27/2010
- Author: 
- Changes:

- Issues Resolved:
1.  Fixed bug 4242 [Highpoint] [HyperDuo] Unable to disable RAID or change link rate by updating MDU config file.

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1116
- Date Release: 12/09/2010
- Author: 
- Changes:

- Issues Resolved:
1.  Fixed bug 3805 [Enable/Disable] Disable RAID0 and Safe or Disable RAID0, RAID1 and Safe, RAID 0 still show.

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1115
- Date Release: 12/07/2010
- Author: 
- Changes:

- Issues Resolved:
1. Fixed  bug 3801: Enable/Disable] When create Virtual Disk, Threshold is no meaning, should disappear or be gray.

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1114
- Date Release: 11/30/2010
- Author: 
- Changes:

- Issues Resolved:
1.raid 0/1/safe/capacity enable or disable support

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1113
- Date Release: 11/25/2010
- Author: 
- Changes:

- Issues Resolved:
1.Fixed bug 4049:can't install windows 7/vista in raid0 (CPU-IDE).
2.Fixed bug 4129:[ASROCK]Magni 9128 B1, Can't install Win7 on RAID 0 with software package 1607 CPU-IDE mode.
3.Fixed bug 4075:Magni, CPU-IDE] Can not boot into USB device when there's RAID 0 on Magni. 

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1112
- Date Release: 11/22/2010
- Author: 
- Changes:

- Issues Resolved:
1. update the policy for pd id

- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1111
- Date Release: 11/02/2010
- Author: 
- Changes:

- Issues Resolved:
1. Fixed safe mode initializing error handling.
2. Fixed Bug#3952 [Gigabyte, Magni] Boot GCD from ODD failed.
3. Fixed a BGA event notification issue, removed an unwanted completed event.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1110
- Date Release: 10/27/2010
- Author: 
- Changes:
1. If create safe mode without keep original data, host OS will rescan HDD volume.
2. If HDD is created safe mode without MBR, "keep original data" default set will be "No" in BIOS.

- Issues Resolved:
1. Fix Bug 4082: HDD doesn't refresh after HyperDuo was created with Safte Mode and WITHOUT Keep Original Data.
2. Fix Bug 4034: Status is wrong after plug out SSD while running initialization.
3. Fix Bug 4035: unified words have to be used in MSU, Initialization and Rebuild, HyperDuo and virtual disk.
 
- Limitation:

- Outstanding issues:
================================================================================
- Version: 2.2.0.1109
- Date Release: 10/20/2010
- Author: 
- Changes:
1. New PD mapping management implementation.
 Since this version, the Magni only supports a port multiplier that max PM device number is equal to 6. The SATA port 0's physical disk ID number is zero. The SATA port 1's physical disk ID number is one. ID number from 2 to 6 is corresponding to PM port attached physical disk 1-5.

- Issues Resolved:
1. Fix Bug 3993: we should update pd flag to assigned when create safe mode HyperDuo without keep HDD orginal data.
2. Fix the issue that block status is always free.
3. Fix Bug 3744: If Initialization fail, Tray Event Message show Rebuild Disk on virtual disk 0 failed. 
4. Fix Bug 3743: A small change need to be done for Create HyperDuo event log.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1108
- Date Release: 10/13/2010
- Author: 
- Changes:
1. Add 3 more HyperDuo Device ID check point at Core, Ahcihost and Idehost.
2. Remove frontend HyperDuo Device ID check point.
3. Add Chip_Mode as gatekeeper for new HyperDuo feature.
4. Add SATA 6G workaround for crucial SSD issue.

- Issues Resolved:

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1107
- Date Release: 10/13/2010
- Author: 
- Changes:

- Issues Resolved:
1. Enhance BIOS UI as requirement. Show TRIM and Supported Mode in BIOS menu
2. Fix Bug#3795 Foreign disks status did not show in Magni BIOS post.
3. Fix Bug#3097 Bugs : PD8 can't be disappeared in BIOS,erase RAID config Data 
on PD8 ,BIOS hung.
4. Remove "Gigabyte Rounding" from BIOS UI.
5. Write target disk only when reading source disk okay.
6. Fixed a BGA thread pending status issue which causes thread deadlock.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1106
- Date Release: 09/29/2010
- Author: Ke Wei
- Changes:

- Issues Resolved:
1. BugFix #3877: [Gigabyte]Magni 9128 B1, Enter Magni BIOS UI it will show garbage code.
Solution: Removed UI timer for freeing memory. Added a new allocated memory function that if memory is not enough, we just release UI memory.
2. Don't issue 48-bit command to 28-bit SSD device.
3. BugFix#3865: Transcend TS32GSSD25S-M has NCQ command error issue. 
RC: Transcend TS32GSSD25S-M SSD has NCQ compatibility issue. Solution: Mark TS32GSSD25S-M as non-NCQ device.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1105
- Date Release: 09/23/2010
- Author: Vincent Chan
- Changes:
1. New device ID 9130/91B0 for Magni. Only those new ID can support HyperDuo.

- Issues Resolved:

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1104
- Date Release: 09/21/2010
- Author: Ke Wei
- Changes:
1. Hide safe and capacity mode in BIOS UI when created VD with two normal HDs.
2. Always quick initialization in capacity mode, RAID 0/1 mode, and wipe out SSD when not set keep original data.
3. Change the official name of HyperHDD to HyperDuo.

- Issues Resolved:
1. Fixed Bug : Write RAID1 device will cause firmware assertion issue. 
2. Fixed Bug : Firmware could not write a DWORD value to SPI flash so that hd info could not store correct value.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1020
- Date Release: 08/23/2010
- Author: Ke Wei
- Changes:
1. Enable HyperHDD mode.

- Issues Resolved:
1. Fixed Bug 3648: [HyberHDD] System hang when install MRU during HyberHDD initializaing.
2. Fixed Bug 3652: [HyperHDD] Saft-HyperHDD should be freedisk after erase raid config data with SSD from BIOS.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1102
- Date Release: 08/20/2010
- Author: Ricky Chou
- Changes:
1. Added support for HyperHDD disable/enable feature.
2. Fix bug#3096 Suggestion:BIOS shouldn't show VD when plug out the disk has the degraded RAID1  
3. Fix bug#3097 [CPU/Miniport]Suggestion:BIOS shouldn't show RAID's BGA status after stop do BGA  
in Hyper HDD.
4. Fixed IDE BIOS post hang issue.
5. Fixed Bug: delete pause statue VD will cause BIOS hang
6. Fixed wrong partition capacity.

- Issues Resolved:

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1101
- Date Release: 08/16/2010
- Author: Ricky Chou
- Changes:
1. Merge generic changes into Hyper HDD branch.

- Issues Resolved:

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1019
- Date Release: 08/12/2010
- Author: Ke Wei
- Changes:
1. Added support for IDE mode.
2. Added event support.
3. Accelerate safe mode rebuilding.

- Issues Resolved:

- Limitation:
1. The installed console driver in MRU 4.1.0.1713 could crash system with IDE mode. Please only use MRU 1713 with AHCI mode.

- Outstanding issues:

================================================================================
- Version: 2.2.0.1018
- Date Release: 08/09/2010
- Author: Ke Wei
- Changes:
1. Non-NCQ SSD may create HyperHDD mode.
2. Added a backend bottom-half mechanism to improve free disk performance. Need to verify.
3. Default create safe mode if SSD exists.

- Issues Resolved:
1. Fixed Bug 3397: [hyperHDD]Sapn HD is showed as Marvell R0 in system boot menu.
2. Fixed Bug 3448: [hyperHDD] HyperHDD-Safe turns to degrade if erase the SSD during the first time rebuilding.
3. Fixed Bug 3607: [HyperHDD] BIOS show "BGA rebuild" but MRU show "BGA progress" when HyperHDD initializing.
4. Fixed Bug 3610: Assertion failed when deleting offline safe mode.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1017
- Date Release: 08/06/2010
- Author: Ke Wei
- Changes:
1. Fixed rebuilding dead loop error when plug out HDD.
2. Fixed assertion issue when delete offline safe mode.
3. Retry commands when SSD read failed.
4. Do not show stripe size for HyperHDD. Cache policy is writethru for default.

- Issues Resolved:
1. Fixed Bug 3610: In BIOS, create Safe HyperHDD, then remove SATA HDD, VD still show Functional,and may can't delete. 
2. Fixed Bug 3606: [HyperHDD]SSD show as "SATA PD" in Magni BIOS but show "SSD" in MRU.
3. Fixed Bug 3605: [HyperHDD]MRU, BIOS and BIOS post can't show VD status the same when BGA rebuilding 
4. Fixed Bug 3569: HyberHDD_SafeMode initialize auto paused with some dedicated SSD 

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1016
- Date Release: 08/03/2010
- Author: Ke Wei
- Changes:
1. Added support for safe mode TRIM feature.
2. Support threshold and keep original data in BIOS when create HyperHDD. Modify UI display for safe mode.
3. Fixed auto rebuilding support. Host doesn't need to check BGA status. Firmware will resume rebuilding automatically.
4. Added support for safe mode new rebuilding policy. If SSD doesn't exist and HDD was wrote, record data change event into SPI flash.

- Issues Resolved:
1. Fixed Bug 3448: [hyperHDD] HyperHDD-Safe turns to degrade if erase the SSD during the first time rebuilding 
2. Fixed Bug 3473: [hyperHDD] No use options "Stripe Size" & "VD Name" for hyperHDD creation in BIOS 
3. Fixed Bug 3568: HyberHDD Safe Mode-If do some actions, can't boot to OS.
4. Fixed Bug 3586: When do APCI Test, SSD HDD will disapear, S3 will appear blue screen, S4 will can't find HDD. 

- Limitation:
1. Safe mode rebuilding will be paused in ACPI S3/S4 mode.

- Outstanding issues:

================================================================================
- Version: 2.2.0.1015
- Date Release: 07/27/2010
- Author: Ke Wei
- Changes:
1. Improve HyperHDD performance.

- Issues Resolved:
1. Fixed BUG 3561: Safe mode HyperHDD size error. 
2. Fixed BUG 3556: Can't create HyberHDD in BIOS if SATA HDD size < SSD HDD size.
3. Fixed BUG 3550: Showed 0% Watermark for HyperHDD which created in BIOS.
4. Fixed BUG 3549: HyberHDD_SafeMode, OS BSOD when Put OS to sleep mode 

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1014
- Date Release: 07/15/2010
- Author: Ke Wei
- Changes:
1. Improve HyperHDD performance with IO path runtime optimization.

- Issues Resolved:
1. Fixed BUG 3547: Failed install OS (boot to OS) on HyperHDD-capacity. RC: Don't clear a request flag in TRIM module.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1013
- Date Release: 07/14/2010
- Author: Ke Wei
- Changes:
1. Improve HyperHDD performance with IO path runtime optimization.

- Issues Resolved:

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1012
- Date Release: 07/12/2010
- Author: Ke Wei
- Changes:
1. Bugfix release.

- Issues Resolved:
1. Fixed BUG 3477 - [HyperHDD] Run PCMark on the hyperHDD-Capacity as data drive get "Assertion failed"
2. Fixed BUG 3499 - Rebuild Raid1 VD or delete degrade Raid1 VD get "assertion failed"
3. Fieed BUG 3532 - [HyperHDD] Assert failed after delete invalid HyperHDD.

- Limitation:
1. DDF doesn't store multi-VD info in a single disk. So only support to create a hyperHDD.

- Outstanding issues:

================================================================================
- Version: 2.2.0.1012_pre
- Date Release: 07/07/2010
- Author: Ke Wei
- Changes:
1. Added MaxHyperHdd flag support.

- Issues Resolved:
1. Fixed PM work issue.
2. Fixed core command timeout issue within backend device's running_cmds list.
3. Fixed IO path fail issue when HyperHDD with unsupported NCQ disk.
4. Fixed multi-partitation support for rebuilding and HyperHDD IO path.
5. Fixed RAID1 rebuilding assertion failed issue.

- Limitation:
1. The Release 2.2.0.1012_pre is only for verifying performance. So test engineer should connect one SATA HDD to Port 0(The PD ID should be 0), and one SSD to Port 1(The PD ID should be 8). Firmware will grab the last 16GB space when creating a HyperHDD capacity VD, then automatically to create a 16GB free cache disk. Do not to verify hotplug or anything case, only for performance report.

- Outstanding issues:

================================================================================
- Version: 2.2.0.1011
- Date Release: 06/29/2010
- Author: Ke Wei
- Changes:
1. Only support to create a virtual disk.
2. When deleting or creating a safe mode, the frondend will not notify to host OS. The SSD becomes a cache disk without any events, the OS should be not aware of system disk change even if system has stress IO. But rebuilding will not auto start, it should be controlled by host application. Only enter BIOS UI, rebuilding may automatically launch.Reboot system and keep BIOS POST status will pause rebuilding.
3. Windows Driver may issue APICDB1_ADAPTER_SET_HOST_BUFFER command to firmware for using host memory. The MRU needs to implement a BGA rebuilding resume feature for safe mode with pause status. After rebuilding is done, Cache disk will start to work.
4. MRU may verify the watermark feature for SSD.
5. When plug out a hard disk with safe mode, VD will be offline mode. When plug out SSD with safe mode, VD will be destroyed, and HDD still a single disk without cache feature. Then plug in SDD again, the safe VD still exists but rebuilding must re-start from 0.
6. If SSD was created an old safe mode before 2.2.0.1011, please first wipe out SSD in the BIOS UI.

- Issues Resolved:
1. Fixed a COMRESET issue for RAID device.
2. HDD will clear BE_DEV_F_EXPOSED flag when it used to create a safe mode.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1010
- Date Release: 06/10/2010
- Author: Ke Wei
- Changes:

- Issues Resolved:
    1. Fix bug 3454 - [hyperHDD] Delete hyperHDD-Safe while running fastcopy causes compare error
              Fix assertion bug when deleting Safe mode during the stress is testing.

- Limitation:

- Outstanding issues:

================================================================================
- Version: 2.2.0.1009
- Date Release: 05/27/2010
- Author: 
- Changes:
1. After hotplug event occurs in safe mode, the safe mode will be destroyed, and HDD or SDD becomes free disk.
2. Fixed a critical bug when booting to OS.

================================================================================
- Version: 2.2.0.1008
- Date Release: 05/26/2010
- Author: 
- Changes:
1. Fixed error popup screen after failed to creat a HyperHDD Safe mode. 
2. Fixed a COMRESET issue for safe mode.
3. Fixed a hotplug issue when BGA is running.

================================================================================
- Version: 2.2.0.1007
- Date Release: 05/21/2010
- Author: 
- Changes:
1. Firmware writes DDF data only to SSD cache disk when creating safe mode, the HDD will always keep original data without
DDF data. User may create HyperHDD Safe mode with SSD and HDD, rebuilding will start automatically. Host OS can not identify 
a new virtual disk with Safe mode. If the SSD is offline, the HyperHDD is changed to free disk automatically.
2. If plug-in HDD, safe mode rebuilding will restart from watermark 0 at once in this revision.
3. Disable TRIM support for Safe mode.

================================================================================
- Version: 2.2.0.1006
- Date Release: 05/18/2010
- Author: 
- Changes:
1. fixed bug 3432 -- [HyperHDD] Create hyperHDD-Safe causes FW assertion failed.
2. Reverted the RAID mapping change for Safe mode.
3. Read data from SSD first when data rebuild finished.

================================================================================
- Version: 2.2.0.1005
- Date Release: 05/17/2010
- Author: 
- Changes:
1. fixed bug 3428. -- [hyperHDD] Can't create hyperHDD in MRU.
2. fixed bug 3427. -- [HyperHDD] HyperHDD-Capacity turns to be offline immediately while creating in BIOS.
3. When firmware reboots, auto start rebuilding for safe.
4. When create or delete Safe mode, let the frondend mapping not notify to host.
5. Fixed BGA percentage.

================================================================================
- Version: 2.2.0.1004
- Date Release: 05/14/2010
- Author: 
- Changes:
1. Added TRIM support for HyperHDD.
2. Fixed support for Safe mode HyperHDD.
3. Auto Rebuilding BGA support for Safe mode.
4. Improve Safe algorithm to store Hard Disk last 64MB data.

================================================================================
- Version: 2.2.0.1003
- Date Release: 05/11/2010
- Author: 
- Changes:
1. Support degrade status for HyperHDD(Safe mode). 
2. Please select one SSD and one HDD to create HyperHDD. 
3. Support TRIM for HyperHDD.

================================================================================
- Version: 2.2.0.1002
- Date Release: 05/08/2010
- Author: 
- Changes:
1. Create HyperHDD (SPAN and MIRRO) in BIOS menu. 
2. Add support of HyperHDD (MIRROR) feature.
3. Support create HyperHDD with normal SSD, not only TRIM supported SSD.

================================================================================	 
- Version:2.2.0.1001
- Date Release: May. 7, 2010
- Author: Ke Wei
- Changes:
 1. Add support for HyperHDD feature, but don't support TRIM command.
- Notes:
